Package Details: envycontrol 3.4.0-1

Git Clone URL: https://aur.archlinux.org/envycontrol.git (read-only, click to copy)
Package Base: envycontrol
Description: CLI tool for Nvidia Optimus graphics mode switching on Linux
Upstream URL: https://github.com/bayasdev/envycontrol
Licenses: MIT
Conflicts: optimus-manager
Submitter: bayasdev
Maintainer: bayasdev
Last Packager: bayasdev
Votes: 25
Popularity: 1.77
First Submitted: 2021-12-20 19:46 (UTC)
Last Updated: 2024-03-06 17:32 (UTC)

Latest Comments

luspi commented on 2024-05-22 13:11 (UTC)

Removing this and reinstalling completely from scratch worked for me!

evren320 commented on 2024-05-13 11:28 (UTC)

it still gives error and doesn't work even after cleaning cache and reinstalling, using Arch 6.8.9-arch1-2

GlitterMonster commented on 2024-05-12 20:24 (UTC)

not functional on Artix 6.8.9, x11, KDE Plasma 6.0.4

jla commented on 2024-05-01 02:21 (UTC) (edited on 2024-05-01 02:21 (UTC) by jla)

neuronestanco this is from a Python upgrade. For a quick fix uninstall envycontrol, clean your yay cache, and reinstall.

yay -R envycontrol

rm -rf ~/.cache/yay/envycontrol

yay -Sy envycontrol

neuronestanco commented on 2024-04-27 13:15 (UTC) (edited on 2024-04-27 13:18 (UTC) by neuronestanco)

after the latest system update the program does not work with the following error; can you help please? your work is very important. Thank you !!!


@archlinux ~]$ envycontrol
Traceback (most recent call last):
  File "/usr/lib/python3.12/importlib/metadata/__init__.py", line 397, in from_name
    return next(cls.discover(name=name))
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
StopIteration

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/envycontrol", line 33, in <module>
    sys.exit(load_entry_point('envycontrol==3.4.0', 'console_scripts', 'envycontrol')())
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/bin/envycontrol", line 22, in importlib_load_entry_point
    for entry_point in distribution(dist_name).entry_points
                       ^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/importlib/metadata/__init__.py", line 862, in distribution
    return Distribution.from_name(distribution_name)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/usr/lib/python3.12/importlib/metadata/__init__.py", line 399, in from_name
    raise PackageNotFoundError(name)
importlib.metadata.PackageNotFoundError: No package metadata was found for envycontrol
[@archlinux ~]$ 

bayasdev commented on 2023-09-11 23:43 (UTC)

Updated to release 3.3.0

bayasdev commented on 2023-03-14 20:39 (UTC)

Updated PKGBUILD

marcBarbier commented on 2022-08-28 07:58 (UTC)

maybe this should be conlicting optimus-manager because i don't see how having both running could be good.